package models

import "database/sql/driver"

type NotificationViewedState uint8

const (
	NotViewed NotificationViewedState = iota
	Viewed
	Accepted
	Denied
)

func (r *NotificationViewedState) Value() (driver.Value, error) {
	return r, nil
}

func (ct *NotificationViewedState) Scan(value any) error {
	*ct = NotificationViewedState(value.(uint8))
	return nil
}
